#!/bin/bash

# Copyright © 2020 The PES Open Source Team pesos@pes.edu
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cd ..
mkdir -p bin

archs=("amd64" "386" "arm" "arm64")

for arch in ${archs[@]}; do
  env GOOS=linux GOARCH=${arch} go build ./grofer.go
  cp grofer bin/grofer_${arch}
  echo "Compiled grofer_${arch}"
done
